package com.siwei.rsmonitoring.service.impl;

import java.util.List;
import com.siwei.common.core.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.siwei.rsmonitoring.mapper.TDkjbxxHgxRecordMapper;
import com.siwei.rsmonitoring.domain.TDkjbxxHgxRecord;
import com.siwei.rsmonitoring.service.ITDkjbxxHgxRecordService;

/**
 * 地块基本信息合规性判定记录Service业务层处理
 * 
 * @author siwei
 * @date 2025-02-17
 */
@Service
public class TDkjbxxHgxRecordServiceImpl implements ITDkjbxxHgxRecordService 
{
    @Autowired
    private TDkjbxxHgxRecordMapper tDkjbxxHgxRecordMapper;

    /**
     * 查询地块基本信息合规性判定记录
     * 
     * @param id 地块基本信息合规性判定记录主键
     * @return 地块基本信息合规性判定记录
     */
    @Override
    public TDkjbxxHgxRecord selectTDkjbxxHgxRecordById(String id)
    {
        return tDkjbxxHgxRecordMapper.selectTDkjbxxHgxRecordById(id);
    }

    /**
     * 查询地块基本信息合规性判定记录列表
     * 
     * @param tDkjbxxHgxRecord 地块基本信息合规性判定记录
     * @return 地块基本信息合规性判定记录
     */
    @Override
    public List<TDkjbxxHgxRecord> selectTDkjbxxHgxRecordList(TDkjbxxHgxRecord tDkjbxxHgxRecord)
    {
        return tDkjbxxHgxRecordMapper.selectTDkjbxxHgxRecordList(tDkjbxxHgxRecord);
    }

    /**
     * 新增地块基本信息合规性判定记录
     * 
     * @param tDkjbxxHgxRecord 地块基本信息合规性判定记录
     * @return 结果
     */
    @Override
    public int insertTDkjbxxHgxRecord(TDkjbxxHgxRecord tDkjbxxHgxRecord)
    {
        tDkjbxxHgxRecord.setCreateTime(DateUtils.getNowDate());
        return tDkjbxxHgxRecordMapper.insertTDkjbxxHgxRecord(tDkjbxxHgxRecord);
    }

    /**
     * 修改地块基本信息合规性判定记录
     * 
     * @param tDkjbxxHgxRecord 地块基本信息合规性判定记录
     * @return 结果
     */
    @Override
    public int updateTDkjbxxHgxRecord(TDkjbxxHgxRecord tDkjbxxHgxRecord)
    {
        return tDkjbxxHgxRecordMapper.updateTDkjbxxHgxRecord(tDkjbxxHgxRecord);
    }

    /**
     * 批量删除地块基本信息合规性判定记录
     * 
     * @param ids 需要删除的地块基本信息合规性判定记录主键
     * @return 结果
     */
    @Override
    public int deleteTDkjbxxHgxRecordByIds(String[] ids)
    {
        return tDkjbxxHgxRecordMapper.deleteTDkjbxxHgxRecordByIds(ids);
    }

    /**
     * 删除地块基本信息合规性判定记录信息
     * 
     * @param id 地块基本信息合规性判定记录主键
     * @return 结果
     */
    @Override
    public int deleteTDkjbxxHgxRecordById(String id)
    {
        return tDkjbxxHgxRecordMapper.deleteTDkjbxxHgxRecordById(id);
    }
}
